Get Product
curl --request GET \
--url https://{api}.subotiz.com/api/v1/products/{product_id} \
--header 'Authorization: Bearer <token>' \
--header 'Request-Id: <request-id>'const options = {
method: 'GET',
headers: {'Request-Id': '<request-id>', Authorization: 'Bearer <token>'}
};
fetch('https://{api}.subotiz.com/api/v1/products/{product_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{api}.subotiz.com/api/v1/products/{product_id}"
headers = {
"Request-Id": "<request-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)
{
"product_id": "<string>",
"product_name": "<string>",
"product_status": "<string>",
"merchant_product_id": "<string>",
"category_id": "<string>",
"description": "<string>",
"image_url": "<string>",
"category_name": "<string>",
"created_by": "<string>",
"created_at": "<string>",
"features": [
{
"id": "<string>",
"name": "<string>",
"type": "<string>"
}
],
"metadata": {},
"quantity_unit": "<string>"
}Product
Get Product
Get Product
GET
/
api
/
v1
/
products
/
{product_id}
Get Product
Authorizations
Bearer API Key authentication. Format: Authorization: Bearer {your_api_key}
Headers
The unique identifier of the request
Path Parameters
商品ID
Response
200 - application/json
OK
Product unique identifier on Subotiz
Product name
Product status
Product ID
Product type unique identifier on Subotiz
Product description
Product image URL
Product type
Product created by
Product created at
Product features
Show child attributes
Show child attributes
A set of key-value pairs that can be attached to an object, allowing you to store additional information in a structured format.
Show child attributes
Show child attributes
Quantity unit name (product-level, defaults to "unit")
Was this page helpful?